
function rs_RemoveAllTexturesFromFrame(frm)
  --Removes (hides) All Textures from a frame
	local Rgns = { frm:GetRegions() };
	for _, rgn in ipairs(Rgns) do
	  if rgn:IsObjectType("texture") and rgn:GetDrawLayer()~="HIGHLIGHT" then rgn:SetTexture(""); rgn:Hide() end
	end--do
end--function

function rs_FixFrameBackdrop(frm,col)
    frm:SetBackdrop({bgFile = "Interface\\AddOns\\RecountSkinByNth\\textures\\background", edgeFile = "Interface\\AddOns\\RecountSkinByNth\\textures\\border", tile = true, tileSize = 16, edgeSize = 16, insets = { left = 16, right = 16, top = 16, bottom = 16 }});
	frm:SetBackdropColor(col or 0.1, col or 0.1, col or 0.1, 1);
	frm:SetBackdropBorderColor(col or 0.1, col or 0.1, col or 0.1, 1);
end--function

function rs_FixVerticalScrollBar(scrollbar, noBg, height)
      if not noBg then
	  scrollbar:SetBackdrop({bgFile = "Interface\\AddOns\\RecountSkinByNth\\textures\\menu_button_background", edgeFile = "", tile = true, tileSize = 8, edgeSize = 8, insets = { left = 0, right = 0, top = 0, bottom = 0 }});
	  scrollbar:SetBackdropColor(0,0,0,0.25);
	  end--if
	  
	  _G[scrollbar:GetName().."ThumbTexture"]:SetTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_thumb_normal")
	  _G[scrollbar:GetName().."ThumbTexture"]:SetVertexColor(1,1,1,1)
	  _G[scrollbar:GetName().."ScrollUpButton"]:SetHeight(height or 16)
	  _G[scrollbar:GetName().."ScrollUpButton"]:SetNormalTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_up_normal")
	  _G[scrollbar:GetName().."ScrollUpButton"]:SetDisabledTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_up_disabled")
	  _G[scrollbar:GetName().."ScrollUpButton"]:SetPushedTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_up_pushed")
	  _G[scrollbar:GetName().."ScrollUpButton"]:SetHighlightTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_button_highlight")
	  
	  _G[scrollbar:GetName().."ScrollDownButton"]:SetHeight(height or 16)
	  _G[scrollbar:GetName().."ScrollDownButton"]:SetNormalTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_down_normal")
	  _G[scrollbar:GetName().."ScrollDownButton"]:SetDisabledTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_down_disabled")
	  _G[scrollbar:GetName().."ScrollDownButton"]:SetPushedTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_down_pushed")
	  _G[scrollbar:GetName().."ScrollDownButton"]:SetHighlightTexture("Interface\\AddOns\\RecountSkinByNth\\textures\\scroll_button_highlight")
	  
	  local Rgns = { _G[scrollbar:GetName().."ScrollDownButton"]:GetRegions() };
	  for _, rgn in ipairs(Rgns) do if rgn:IsObjectType("texture") then rgn:SetVertexColor(1,1,1,1) end end--do
	  local Rgns = { _G[scrollbar:GetName().."ScrollUpButton"]:GetRegions() };
	  for _, rgn in ipairs(Rgns) do if rgn:IsObjectType("texture") then rgn:SetVertexColor(1,1,1,1) end end--do
end--function



-- Keep the above open for future additions to the addon
--
--
-- Keep the below open until all submenus are ported to the closed scope file.



function rs_ShowTip(self,tip)
  if not tip or rs_saved["killtooltip"] then rs_Tip:Hide(); return end
  GameTooltip:Hide()
  rs_Tip:SetScale(1)
  rs_Tip:SetPoint("BOTTOM",self,"TOP",0,0)
  rs_TipText:SetText(tip)
  rs_Tip:SetWidth(rs_TipText:GetWidth()+40)
  rs_Tip:Show()
end--function

function rs_ReportFuntion(targetFrame)
  if rs_saved["userecountreport"] then
    if targetFrame=="Main" then
	  --show recount report window
	  Recount:ShowReport("Main", Recount.ReportData)
	else
	  print(" ");
	  print("|cffffcc00Recount|rSkinByNth ->|cff888888 Reports can only be initiated from Recounts main window when 'userecountreport' is active");
	  print("|cffffcc00Recount|rSkinByNth ->|cff888888 use |cffffcc00/rs userecountreport |r to toggle setting");
	  print(" ")
    end
  else
    if rs_ReportWindow:IsVisible() then
      rs_ReportWindow:Hide()
    else
      rs_ReportWindow.target=targetFrame;
	  rs_ReportWindow:Show()
    end
  end
end--function

function rs_SetReportSize(num)
	  for i=1,25 do
	    if i>num then
	      _G["rs_ReportWindowNum"..i.."On"]:Hide()
		else
		  _G["rs_ReportWindowNum"..i.."On"]:Show()
		end
	  end--do
	  rs_saved["ReportSize"]=num
	  if num<=5 then
	    rs_ReportWindowTitle:SetText("Report size |cff00ff00"..num.."|r")
	  elseif num>5 and num<=10 then
	    rs_ReportWindowTitle:SetText("Report size |cffaaff00"..num.."|r")
	  elseif num>10 and num<=15 then
	    rs_ReportWindowTitle:SetText("Report size |cffffee00"..num.."|r")
	  elseif num>15 and num<=20 then
	    rs_ReportWindowTitle:SetText("Report size |cffff9900"..num.."|r")
	  else
	    rs_ReportWindowTitle:SetText("Report size |cffff0000"..num.."|r")
	  end
end--function

function rs_InitiateReport(target,size,channel,unit)
    if target=="Main" then
	  Recount:ReportData(rs_saved["ReportSize"], channel, unit)
	else
	  local oldmode=Recount.db.profile.MainWindowMode
	  Recount:SetMainWindowMode(rs_saved["Mode"][rs_ReportWindow.target])
	  Recount:ReportData(rs_saved["ReportSize"], channel, unit)
	  Recount:SetMainWindowMode(oldmode)
	end
	rs_ReportWindow:Hide()
end--function




